$color-primary: #F7BF54;
$color-primary-complementary: #999999;
$color-accent: rgb(50,232,183);
$color-accent-complementary: black;




$ease-in-cubic: cubic-bezier(0.55, 0.055, 0.675, 0.19);
$ease-out-cubic: cubic-bezier(0.215, 0.61, 0.355, 1);
$ease-in-out-cubic: cubic-bezier(0.645, 0.045, 0.355, 1);
$ease-in-quart: cubic-bezier(0.895, 0.03, 0.685, 0.22);
$ease-out-quart: cubic-bezier(0.165, 0.84, 0.44, 1);
$ease-in-out-quart: cubic-bezier(0.77, 0, 0.175, 1);
$ease-out-quint: cubic-bezier(0.23, 1, 0.32, 1);
$ease-in-quint: cubic-bezier(0.755, 0.05, 0.855, 0.06);
$ease-in-out-quint: cubic-bezier(0.86, 0, 0.07, 1);
$ease-out-expo: cubic-bezier(0.19, 1, 0.22, 1);
$ease-in-expo: cubic-bezier(0.95, 0.05, 0.795, 0.035);
$ease-in-out-expo: cubic-bezier(1, 0, 0, 1);

$media-mobile: (max-width: 420px);
$media-tablet: (max-width: 760px);

$custom-iphone-retina: 320px;
$tiny-devices: $custom-iphone-retina;
$extra-small-devices: 480px;
$small-devices: 768px;
$medium-devices: 992px;
$large-devices: 1200px;
$tiny-devices: (min-width: $tiny-devices);
$over-extra-small-devices: (min-width: $extra-small-devices);
$over-small-devices: (min-width: $small-devices);
$over-medium-devices: (min-width: $medium-devices);
$over-large-devices: (min-width: $large-devices);

:export {
  colorPrimary: $color-primary;
  colorPrimaryComplementary: $color-primary-complementary;
  colorAccent: $color-accent;
  colorAccentComplementary: $color-accent-complementary;

  colorBackgroundDark: rgb(16, 16, 14);
  colorBackgroundLight: rgb(29, 28, 27);

  heightHeader: 80px;
  maxPageWidth: 860px;

  paddingSection: 20px 12px 20px;

  transitionDefault: all 0.4s $ease-out-quart;
  transitionDefaultDelayed: all 0.4s $ease-out-quart 0.2s;

  fontPrimary: 'Open Sans', sans-serif;
  fontAccent: 'Open Sans', sans-serif;

  easeInCubic: $ease-in-cubic;
  easeOutCubic: $ease-out-cubic;
  easeInOutCubic: $ease-in-out-cubic;
  easeInQuart: $ease-in-quart;
  easeOutQuart: $ease-out-quart;
  easeInOutQuart: $ease-in-out-quart;
  easeOutQuint: $ease-out-quint;
  easeInQuint: $ease-in-quint;
  easeInOutQuint: $ease-in-out-quint;
  easeOutExpo: $ease-out-expo;
  easeInExpo: $ease-in-expo;
  easeInOutExpo: $ease-in-out-expo;

  sizeTiny: $tiny-devices;
  sizeExtraSmall: $extra-small-devices;
  sizeSmall: $small-devices;
  sizeMedium: $medium-devices;
  sizeLarge: $large-devices;

  positionBack: 9;
  positionMiddle: 99;
  positionFront: 999;
}
